me.legofreak107.vehiclesplus.vehicles.api.events

## Class VehicleLeaveEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - me.legofreak107.vehiclesplus.vehicles.api.events.VehicleLeaveEvent

    public class VehicleLeaveEvent
    extends org.bukkit.event.Event

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

### Constructor Summary

Constructors
Constructor and Description
`VehicleLeaveEvent(SpawnedVehicle vehicle, org.bukkit.entity.Player driver, Seat seat)` This event is triggered when a player leaves a vehicle

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`org.bukkit.entity.Player` `getDriver()`
`static org.bukkit.event.HandlerList` `getHandlerList()`
`org.bukkit.event.HandlerList` `getHandlers()`
`Seat` `getSeat()`
`SpawnedVehicle` `getVehicle()`

### Methods inherited from class org.bukkit.event.Event

`getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VehicleLeaveEvent

    public VehicleLeaveEvent(SpawnedVehicle vehicle,
                             org.bukkit.entity.Player driver,
                             Seat seat)

This event is triggered when a player leaves a vehicle

Parameters:
  `vehicle` - the vehicle the player was in
  `driver` - the player that is leaving
  `seat` - the seat the player was in

### Method Detail

#### getHandlerList

    public static org.bukkit.event.HandlerList getHandlerList()

#### getHandlers

    public org.bukkit.event.HandlerList getHandlers()

Specified by:
  `getHandlers` in class `org.bukkit.event.Event`

#### getVehicle

    public SpawnedVehicle getVehicle()

#### getDriver

    public org.bukkit.entity.Player getDriver()

#### getSeat

    public Seat getSeat()